import { HttpClient } from "@angular/common/http";
import { ApiVisa, BaseApiTemplateService, Pagination, PagingResponseModel, ApiResponseModel, BasicApiResponseModel } from "../../shared";
import { Observable } from "rxjs";
import { EmailNotificationPDFModel, GenericDocContainerModel } from "../../../../../../models/aggregates/generic_doc";
import { GenericDocSearchCriteriaDtoModel, GenericDocumentCloneDTO } from '../../../data-transfer-objects';
export declare class InternalReimbursementPaymentVouchersService extends BaseApiTemplateService<GenericDocContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    getBySnapshotCustomQueryLoginEntityEp(dtoObject: GenericDocSearchCriteriaDtoModel, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getPaymentVouchersByLogin(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    getLinesByCriteria(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    printJasperPdf(guid: string, printServiceClassName: string, printableFormatGuid: string, apiVisa: ApiVisa, customParam?: string): Observable<Blob>;
    voidGenericDocument(dtoObject: Object, apiVisa: ApiVisa, guid: string): Observable<ApiResponseModel<GenericDocContainerModel>>;
    discardGenericDocument(apiVisa: ApiVisa, guid: string): Observable<ApiResponseModel<GenericDocContainerModel>>;
    sendEmailPDF(guid: any, dtoObject: EmailNotificationPDFModel, visa: ApiVisa): Observable<Object>;
    createTemp(dtoObject: any, visa: ApiVisa): Observable<BasicApiResponseModel<GenericDocContainerModel>>;
    cloneDocument(dto: GenericDocumentCloneDTO, visa: ApiVisa): Observable<BasicApiResponseModel<GenericDocumentCloneDTO>>;
}
